﻿/*    
Nemulation: A .NET based framework/platform for virtualization applications
Copyright (C) 2011 Bryan Perris

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NEmu.Memory;
using NEmu.Memory.MemoryPages;

namespace NEmu.TestUnits
{
    [Serializable]
    class BufferMemory : MemoryUnit
    {
        public BufferMemory(VirtualMachine machine)
            : base(machine)
        {
        }

        protected override void AllocatePages()
        {
            AddPage(new BufferPage(500));
        }
    }
}
