﻿<!--  
Nemulation: A .NET based framework/platform for virtualization applications
Copyright (C) 2011 Bryan Perris

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-->

<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "---//W3C//DTD XHTML 1.0  //EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
  <title>NEmulation Virtual Host Services Monitor</title>
  <meta charset="utf-8" name="content-type" http-equiv="content-type" content="text/html;charset=UTF-8" />
  <meta name="Author" content="Omegaodox" />
<link href="stylesheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <p>
        <%
            // Main Service Loader
            VirtualHostProxyClient.VirtualHostServiceReference.VirtualHostServiceClient client = new VirtualHostProxyClient.VirtualHostServiceReference.VirtualHostServiceClient();

            try
            {
                client.Open();

                VirtualHostProxyClient.VirtualHostServiceReference.VirtualMachineStatus[] machineList = client.GetMachineList();

                Response.Write("Number of running Machines: " + machineList.Length.ToString());

                client.Close();
            }
            catch (System.ServiceModel.CommunicationException e)
            {
                Response.Write("<span class=\"error\">Error: Failed to access NEmu Virtual Host Service!</span>");
                Response.Write("<br />Details: " + e.Message);
            }
        %>
    </p>
</body>
</html>
